Table of Contents

Class: PyProfileDialog | eric3/UI/PyProfileDialog.py
--- | ---

Class implementing a dialog to display the results of a syntax check run.

Base Classes |
--- | ---
PyProfileForm

Methods |
--- | ---

__init__ buttonPressed finish handleContextMenu handleEraseAll handleEraseProfile | handleEraseTiming handleFilter populateListViews start unfinish

| __init__

    __init__ ( self,  parent=None )

### Constructor

#### Arguments

parent
  parent widget (QWidget)

| buttonPressed

    buttonPressed ( self )

Private slot connected to the button clicked signal.

| finish

    finish ( self )

Private slot called when the action finished or the user pressed the button.

| handleContextMenu

    handleContextMenu (
            self,
            itm,
            pos,
            col,
            )

### Private slot to show the context menu of the listviews.

#### Arguments

itm
  the item under the mouse cursor (QListViewItem)
pos
  global position of the context menu (QPoint)
col
  column of the mouse cursor (int)

| handleEraseAll

    handleEraseAll ( self )

Private slot to handle the Erase All context menu action.

| handleEraseProfile

    handleEraseProfile ( self )

Private slot to handle the Erase Profile context menu action.

| handleEraseTiming

    handleEraseTiming ( self )

Private slot to handle the Erase Timing context menu action.

| handleFilter

    handleFilter ( self )

Private slot to handle the Exclude/Include Python Library context menu action.

| populateListViews

    populateListViews ( self,  exclude=0 )

### Private method used to populate the listviews.

#### Arguments

exclude
  flag indicating whether files residing in the Python library should be excluded

| start

    start (
            self,
            pfn,
            fn=None,
            )

### Public slot to start the calculation of the profile data.

#### Arguments

pfn
  basename of the profiling file (string)
fn
  file to display the profiling data for (string)

| unfinish

    unfinish ( self )

Private slot called to revert the effects of the finish slot.

Table of Contents

This document was automatically generated by HappyDoc version 2.1